package com.ss.android.ugc.aweme.services.external.ability;

import com.bytedance.covode.number.Covode;

public final class IAVProcessService$CompileResult {
    public String checkPic;
    public String thumbnailPath;
    public int videoHeight = -1;
    public String videoMd5;
    public String videoPath;
    public int videoWidth = -1;

    static {
        Covode.recordClassIndex(105285);
    }

    public final String getCheckPic() {
        return this.checkPic;
    }

    public final String getThumbnailPath() {
        return this.thumbnailPath;
    }

    public final int getVideoHeight() {
        return this.videoHeight;
    }

    public final String getVideoMd5() {
        return this.videoMd5;
    }

    public final String getVideoPath() {
        return this.videoPath;
    }

    public final int getVideoWidth() {
        return this.videoWidth;
    }

    public final String toString() {
        return "CompileResult{videoPath=" + this.videoPath + ", videoMd5=" + this.videoMd5 + ", checkPic=" + this.checkPic + ", thumbnailPath=" + this.thumbnailPath + ", width=" + this.videoWidth + ", height=" + this.videoHeight + '}';
    }

    public final void setCheckPic(String str) {
        this.checkPic = str;
    }

    public final void setThumbnailPath(String str) {
        this.thumbnailPath = str;
    }

    public final void setVideoHeight(int i) {
        this.videoHeight = i;
    }

    public final void setVideoMd5(String str) {
        this.videoMd5 = str;
    }

    public final void setVideoPath(String str) {
        this.videoPath = str;
    }

    public final void setVideoWidth(int i) {
        this.videoWidth = i;
    }
}
